/*
** Module   : ConversionFlag.java
** Abstract : defines the set of known flags for conditional rule-set processing. 
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 CA  20131023 Created initial version.
*/

package com.goldencode.p2j.convert;

/**
 * Defines the set of known flags for conditional rule-set processing.
 */
public enum ConversionFlag
{
   /** Identify runime parsing of a query prepare string. */
   RUNTIME_QUERY("RUNTIME-QUERY");
   
   /** The name of this flag. */
   private final String flag;
   
   /**
    * Create a new conversion flag.
    * 
    * @param    flag
    *           The name of this flag.
    */
   ConversionFlag(String flag)
   {
      this.flag = flag;
   }
   
   /**
    * The string representation of this entry is the {@link #flag name} of this flag.
    */
   @Override
   public String toString()
   {
      return flag;
   }
}
